import hashlib

import config
import jsonAndRequest as jsreq

botlist = config.BOTLIST

for i in range(len(botlist)):
    print(
        botlist[i],
        hashlib.md5((botlist[i] + config.PASSWORD).encode('utf-8')).hexdigest()
    )
    print(jsreq.createUser(
        botlist[i],
        botlist[i],
        hashlib.md5((botlist[i] + config.PASSWORD).encode('utf-8')).hexdigest(),
        config.API_URL + "my/api/v1/platform/sharix-users/"
    ))
